<template>
	<div style="padding-bottom: 100px" class="row">
		<div
			class="column q-pb-xl col-12 col-sm-6 col-md-3"
			v-for="container in containerRepeat"
			:key="container"
		>
			<div class="q-mx-md q-gutter-y-sm">
				<q-skeleton class="bg-grey-3" bordered height="180px" />
				<div class="column q-gutter-y-sm">
					<q-skeleton
						v-for="col in rowRepeat"
						bordered
						class="col bg-grey-3"
						:key="col"
					/>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	export default {
		props: {
			containerRepeat: {
				type: Number,
				default: 4,
				required: false,
			},
			columnsRepeat: {
				type: Number,
				default: 1,
				required: false,
			},
			rowRepeat: {
				type: Number,
				default: 2,
				required: false,
			},
		},
	};
</script>

<style>
</style>